Package org.eclipse.net4j.util.concurrent

# Class PriorityQueueRunnable

java.lang.Object
org.eclipse.net4j.util.concurrent.PriorityQueueRunnable

All Implemented Interfaces:
  `Comparable<PriorityQueueRunnable>`, `Runnable`

public abstract class PriorityQueueRunnable extends Object implements Runnable, Comparable<PriorityQueueRunnable>

Since:
  3.3
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`PriorityQueueRunnable()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(PriorityQueueRunnable o)`
`protected abstract Integer`
`getPriority()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

## Constructor Details

### PriorityQueueRunnable

public PriorityQueueRunnable()

## Method Details

### compareTo

public int compareTo(PriorityQueueRunnable o)

Specified by:
  `compareTo` in interface `Comparable<PriorityQueueRunnable>`

### getPriority

protected abstract Integer getPriority()